DBaaS Mysql
MySQL, the popular open-source, object-relational database.
create-dbaas-mysql-database
Create a DBaaS MySQL database
POST /dbaas-mysql/{service-name}/databasenull
Path parameters
| Name | In | Description |
|---|---|---|
service-name | path | Min length: 0. Max length: 63. |
Request body
Content-Type: application/json
| Property | Type | Required | Description |
|---|---|---|---|
database-name | string | yes | Service database name Min length: 1. Max length: 40. |
Example
{
"database-name": "string"
}Responses
Status: 200 - 200
Content-Type: application/json
| Property | Type | Description |
|---|---|---|
id | string | Operation ID Must be a valid UUID. |
message | string | Operation message |
reason | string | Operation failure reason Allowed values: incorrect, unknown, unavailable, forbidden, busy, fault, partial, not-found, interrupted, unsupported, conflict. |
reference | Reference | Related resource reference |
state | string | Operation status Allowed values: failure, pending, success, timeout. |
Example output
{
"id": "string",
"message": "string",
"reason": "incorrect",
"reference": {
"command": "string",
"id": "string",
"link": "string"
},
"state": "failure"
}SDK reference for create-dbaas-mysql-database: golang | Python | Java
CLI: exo api create-dbaas-mysql-database
delete-dbaas-mysql-database
Delete a DBaaS MySQL database
DELETE /dbaas-mysql/{service-name}/database/{database-name}null
Path parameters
| Name | In | Description |
|---|---|---|
service-name | path | Min length: 0. Max length: 63. |
database-name | path | Min length: 1. Max length: 64. |
Responses
Status: 200 - 200
Content-Type: application/json
| Property | Type | Description |
|---|---|---|
id | string | Operation ID Must be a valid UUID. |
message | string | Operation message |
reason | string | Operation failure reason Allowed values: incorrect, unknown, unavailable, forbidden, busy, fault, partial, not-found, interrupted, unsupported, conflict. |
reference | Reference | Related resource reference |
state | string | Operation status Allowed values: failure, pending, success, timeout. |
Example output
{
"id": "string",
"message": "string",
"reason": "incorrect",
"reference": {
"command": "string",
"id": "string",
"link": "string"
},
"state": "failure"
}SDK reference for delete-dbaas-mysql-database: golang | Python | Java
CLI: exo api delete-dbaas-mysql-database
create-dbaas-mysql-user
Create a DBaaS MySQL user
POST /dbaas-mysql/{service-name}/usernull
Path parameters
| Name | In | Description |
|---|---|---|
service-name | path | Min length: 0. Max length: 63. |
Request body
Content-Type: application/json
| Property | Type | Required | Description |
|---|---|---|---|
username | string | yes | Username Min length: 1. Max length: 64. |
authentication | string | no | Authentication option Allowed values: caching_sha2_password, mysql_native_password. |
Example
{
"authentication": "caching_sha2_password",
"username": "string"
}Responses
Status: 200 - 200
Content-Type: application/json
| Property | Type | Description |
|---|---|---|
id | string | Operation ID Must be a valid UUID. |
message | string | Operation message |
reason | string | Operation failure reason Allowed values: incorrect, unknown, unavailable, forbidden, busy, fault, partial, not-found, interrupted, unsupported, conflict. |
reference | Reference | Related resource reference |
state | string | Operation status Allowed values: failure, pending, success, timeout. |
Example output
{
"id": "string",
"message": "string",
"reason": "incorrect",
"reference": {
"command": "string",
"id": "string",
"link": "string"
},
"state": "failure"
}SDK reference for create-dbaas-mysql-user: golang | Python | Java
CLI: exo api create-dbaas-mysql-user
delete-dbaas-mysql-user
Delete a DBaaS MySQL user
DELETE /dbaas-mysql/{service-name}/user/{username}null
Path parameters
| Name | In | Description |
|---|---|---|
service-name | path | Min length: 0. Max length: 63. |
username | path | Min length: 1. Max length: 64. |
Responses
Status: 200 - 200
Content-Type: application/json
| Property | Type | Description |
|---|---|---|
id | string | Operation ID Must be a valid UUID. |
message | string | Operation message |
reason | string | Operation failure reason Allowed values: incorrect, unknown, unavailable, forbidden, busy, fault, partial, not-found, interrupted, unsupported, conflict. |
reference | Reference | Related resource reference |
state | string | Operation status Allowed values: failure, pending, success, timeout. |
Example output
{
"id": "string",
"message": "string",
"reason": "incorrect",
"reference": {
"command": "string",
"id": "string",
"link": "string"
},
"state": "failure"
}SDK reference for delete-dbaas-mysql-user: golang | Python | Java
CLI: exo api delete-dbaas-mysql-user
reveal-dbaas-mysql-user-password
Reveal the secrets of a DBaaS MySQL user
GET /dbaas-mysql/{service-name}/user/{username}/password/revealnull
Path parameters
| Name | In | Description |
|---|---|---|
service-name | path | Min length: 0. Max length: 63. |
username | path | Min length: 1. Max length: 64. |
Responses
Status: 200 - 200
Content-Type: application/json
| Property | Type | Description |
|---|---|---|
password | string | MySQL password |
username | string | MySQL username |
Example output
{
"password": "string",
"username": "string"
}SDK reference for reveal-dbaas-mysql-user-password: golang | Python | Java
CLI: exo api reveal-dbaas-mysql-user-password
reset-dbaas-mysql-user-password
Reset the credentials of a DBaaS mysql user
PUT /dbaas-mysql/{service-name}/user/{username}/password/resetIf no password is provided one will be generated automatically.
Path parameters
| Name | In | Description |
|---|---|---|
service-name | path | Min length: 0. Max length: 63. |
username | path | Min length: 1. Max length: 64. |
Request body
Content-Type: application/json
| Property | Type | Required | Description |
|---|---|---|---|
authentication | string | no | Authentication method Allowed values: caching_sha2_password, mysql_native_password. |
password | string | no | New password Min length: 8. Max length: 256. |
Example
{
"authentication": "caching_sha2_password",
"password": "string"
}Responses
Status: 200 - 200
Content-Type: application/json
| Property | Type | Description |
|---|---|---|
id | string | Operation ID Must be a valid UUID. |
message | string | Operation message |
reason | string | Operation failure reason Allowed values: incorrect, unknown, unavailable, forbidden, busy, fault, partial, not-found, interrupted, unsupported, conflict. |
reference | Reference | Related resource reference |
state | string | Operation status Allowed values: failure, pending, success, timeout. |
Example output
{
"id": "string",
"message": "string",
"reason": "incorrect",
"reference": {
"command": "string",
"id": "string",
"link": "string"
},
"state": "failure"
}SDK reference for reset-dbaas-mysql-user-password: golang | Python | Java
CLI: exo api reset-dbaas-mysql-user-password
create-dbaas-service-mysql
Create a DBaaS MySQL service
POST /dbaas-mysql/{name}Create a DBaaS MySQL service
Path parameters
| Name | In | Description |
|---|---|---|
name | path | Min length: 0. Max length: 63. |
Request body
Content-Type: application/json
| Property | Type | Required | Description |
|---|---|---|---|
plan | string | yes | Subscription plan Min length: 1. Max length: 128. |
admin-password | string | no | Custom password for admin user. Defaults to random string. This must be set only when a new service is being created. Min length: 8. Max length: 256. |
admin-username | string | no | Custom username for admin user. This must be set only when a new service is being created. Min length: 1. Max length: 64. |
backup-schedule | Backup Schedule | no | |
binlog-retention-period | integer | no | The minimum amount of time in seconds to keep binlog entries before deletion. This may be extended for services that require binlog entries for longer than the default for example if using the MySQL Debezium Kafka connector. Min: 600. Max: 86400. |
fork-from-service | string | no | Service to fork from Min length: 0. Max length: 63. |
integrations | array of Integrations | no | Service integrations to be enabled when creating the service. |
ip-filter | array[string] | no | Allow incoming connections from CIDR address block, e.g. ‘10.20.0.0/16’ |
maintenance | Maintenance | no | Automatic maintenance settings |
migration | Migration | no | Migrate data from existing server |
mysql-settings | mysql.conf configuration values | no | MySQL-specific settings |
recovery-backup-time | string | no | ISO time of a backup to recover from for services that support arbitrary times Min length: 1. |
termination-protection | boolean | no | Service is protected against termination and powering off |
version | string | no | MySQL major version Min length: 1. |
Example
{
"admin-password": "string",
"admin-username": "string",
"backup-schedule": {
"backup-hour": 0,
"backup-minute": 0
},
"binlog-retention-period": 0,
"fork-from-service": "string",
"integrations": [
{
"dest-service": "string",
"settings": {},
"source-service": "string",
"type": "read_replica"
}
],
"ip-filter": [
"string"
],
"maintenance": {
"dow": "saturday",
"time": "string"
},
"migration": {
"dbname": "string",
"host": "string",
"ignore-dbs": "string",
"method": "dump",
"password": "string",
"port": 0,
"ssl": true,
"username": "string"
},
"mysql-settings": {
"connect_timeout": 0,
"default_time_zone": "+03:00",
"group_concat_max_len": 0,
"information_schema_stats_expiry": 0,
"innodb_change_buffer_max_size": 0,
"innodb_flush_neighbors": 0,
"innodb_ft_min_token_size": 0,
"innodb_ft_server_stopword_table": "db_name/table_name",
"innodb_lock_wait_timeout": 0,
"innodb_log_buffer_size": 0,
"innodb_online_alter_log_max_size": 0,
"innodb_print_all_deadlocks": true,
"innodb_read_io_threads": 0,
"innodb_rollback_on_timeout": true,
"innodb_thread_concurrency": 0,
"innodb_write_io_threads": 0,
"interactive_timeout": 0,
"internal_tmp_mem_storage_engine": "TempTable",
"log_output": "INSIGHTS",
"long_query_time": 0,
"max_allowed_packet": 0,
"max_heap_table_size": 0,
"net_buffer_length": 0,
"net_read_timeout": 0,
"net_write_timeout": 0,
"slow_query_log": true,
"sort_buffer_size": 0,
"sql_mode": "ANSI,TRADITIONAL",
"sql_require_primary_key": true,
"tmp_table_size": 0,
"wait_timeout": 0
},
"plan": "string",
"recovery-backup-time": "string",
"termination-protection": true,
"version": "string"
}Backup Schedule
| Property | Type | Required | Description |
|---|---|---|---|
backup-hour | integer | no | The hour of day (in UTC) when backup for the service is started. New backup is only started if previous backup has already completed. Min: 0. Max: 23. |
backup-minute | integer | no | The minute of an hour when backup for the service is started. New backup is only started if previous backup has already completed. Min: 0. Max: 59. |
Integrations
| Property | Type | Required | Description |
|---|---|---|---|
type | string | yes | Integration type Allowed values: read_replica. |
dest-service | string | no | A destination service Min length: 0. Max length: 63. |
settings | object | no | Integration settings |
source-service | string | no | A source service Min length: 0. Max length: 63. |
Maintenance
Automatic maintenance settings
| Property | Type | Required | Description |
|---|---|---|---|
dow | string | yes | Day of week for installing updates Allowed values: saturday, tuesday, never, wednesday, sunday, friday, monday, thursday. |
time | string | yes | Time for installing updates, UTC Min length: 8. Max length: 8. |
Migration
Migrate data from existing server
| Property | Type | Required | Description |
|---|---|---|---|
host | string | yes | Hostname or IP address of the server where to migrate data from Min length: 1. Max length: 255. |
port | integer | yes | Port number of the server where to migrate data from Min: 1. Max: 65535. |
dbname | string | no | Database name for bootstrapping the initial connection Min length: 1. Max length: 63. |
ignore-dbs | string | no | Comma-separated list of databases, which should be ignored during migration (supported by MySQL only at the moment) Min length: 1. Max length: 2048. |
method | string | no | The migration method to be used Allowed values: dump, replication. |
password | string | no | Password for authentication with the server where to migrate data from Min length: 1. Max length: 255. |
ssl | boolean | no | The server where to migrate data from is secured with SSL |
username | string | no | User name for authentication with the server where to migrate data from Min length: 1. Max length: 255. |
Responses
Status: 200 - 200
Content-Type: application/json
| Property | Type | Description |
|---|---|---|
id | string | Operation ID Must be a valid UUID. |
message | string | Operation message |
reason | string | Operation failure reason Allowed values: incorrect, unknown, unavailable, forbidden, busy, fault, partial, not-found, interrupted, unsupported, conflict. |
reference | Reference | Related resource reference |
state | string | Operation status Allowed values: failure, pending, success, timeout. |
Example output
{
"id": "string",
"message": "string",
"reason": "incorrect",
"reference": {
"command": "string",
"id": "string",
"link": "string"
},
"state": "failure"
}SDK reference for create-dbaas-service-mysql: golang | Python | Java
CLI: exo api create-dbaas-service-mysql
get-dbaas-service-mysql
Get a DBaaS MySQL service
GET /dbaas-mysql/{name}Get a DBaaS MySQL service
Path parameters
| Name | In | Description |
|---|---|---|
name | path | Min length: 0. Max length: 63. |
Responses
Status: 200 - 200
Content-Type: application/json
| Property | Type | Description |
|---|---|---|
backup-schedule | Backup Schedule | Backup schedule |
backups | array of List of backups for the service | List of backups for the service |
components | array of Components | Service component information objects |
connection-info | Connection Info | MySQL connection information properties |
created-at | string | Service creation timestamp (ISO 8601) ISO 8601 date-time. |
databases | array of DBaaS Mysql Database Name | List of MySQL databases |
disk-size | integer | TODO UNIT disk space for data storage Min: 0. |
integrations | array of DBaaS Integration | Service integrations |
ip-filter | array[string] | Allowed CIDR address blocks for incoming connections |
maintenance | Automatic maintenance settings | Automatic maintenance settings |
mysql-settings | mysql.conf configuration values | MySQL-specific settings |
name | string | Service name Min length: 0. Max length: 63. |
node-count | integer | Number of service nodes in the active plan Min: 0. |
node-cpu-count | integer | Number of CPUs for each node Min: 0. |
node-memory | integer | TODO UNIT of memory for each node Min: 0. |
node-states | array of Automatic maintenance settings | State of individual service nodes |
notifications | array of Service notifications | Service notifications |
plan | string | Subscription plan |
prometheus-uri | Prometheus URI | Prometheus integration URI |
state | string | State of the service Allowed values: running, rebuilding, rebalancing, poweroff. |
termination-protection | boolean | Service is protected against termination and powering off |
type | string | Service type code Min length: 0. Max length: 64. |
updated-at | string | Service last update timestamp (ISO 8601) ISO 8601 date-time. |
uri | string | URI for connecting to the service (may be absent) |
uri-params | object | service_uri parameterized into key-value pairs |
users | array of Users | List of service users |
version | string | MySQL version |
zone | string | The zone where the service is running |
Example output
{
"backup-schedule": {
"backup-hour": 0,
"backup-minute": 0
},
"backups": [
{
"backup-name": "string",
"backup-time": "2024-01-01T12:00:00Z",
"data-size": 0
}
],
"components": [
{
"component": "string",
"host": "string",
"port": 0,
"route": "dynamic",
"usage": "primary"
}
],
"connection-info": {
"params": [
{}
],
"standby": [
"string"
],
"uri": [
"string"
]
},
"created-at": "2024-01-01T12:00:00Z",
"databases": [
"string"
],
"disk-size": 0,
"integrations": [
{
"description": "string",
"dest": "string",
"id": "string",
"is-active": true,
"is-enabled": true,
"settings": {},
"source": "string",
"status": "string",
"type": "string"
}
],
"ip-filter": [
"string"
],
"maintenance": {
"dow": "saturday",
"time": "string",
"updates": [
{
"deadline": "2024-01-01T12:00:00Z",
"description": "string",
"start-after": "2024-01-01T12:00:00Z",
"start-at": "2024-01-01T12:00:00Z"
}
]
},
"mysql-settings": {
"connect_timeout": 0,
"default_time_zone": "+03:00",
"group_concat_max_len": 0,
"information_schema_stats_expiry": 0,
"innodb_change_buffer_max_size": 0,
"innodb_flush_neighbors": 0,
"innodb_ft_min_token_size": 0,
"innodb_ft_server_stopword_table": "db_name/table_name",
"innodb_lock_wait_timeout": 0,
"innodb_log_buffer_size": 0,
"innodb_online_alter_log_max_size": 0,
"innodb_print_all_deadlocks": true,
"innodb_read_io_threads": 0,
"innodb_rollback_on_timeout": true,
"innodb_thread_concurrency": 0,
"innodb_write_io_threads": 0,
"interactive_timeout": 0,
"internal_tmp_mem_storage_engine": "TempTable",
"log_output": "INSIGHTS",
"long_query_time": 0,
"max_allowed_packet": 0,
"max_heap_table_size": 0,
"net_buffer_length": 0,
"net_read_timeout": 0,
"net_write_timeout": 0,
"slow_query_log": true,
"sort_buffer_size": 0,
"sql_mode": "ANSI,TRADITIONAL",
"sql_require_primary_key": true,
"tmp_table_size": 0,
"wait_timeout": 0
},
"name": "string",
"node-count": 0,
"node-cpu-count": 0,
"node-memory": 0,
"node-states": [
{
"name": "string",
"progress-updates": [
{
"completed": true,
"current": 0,
"max": 0,
"min": 0,
"phase": "stream",
"unit": "string"
}
],
"role": "standby",
"state": "leaving"
}
],
"notifications": [
{
"level": "warning",
"message": "string",
"metadata": {},
"type": "service_powered_off_removal"
}
],
"plan": "string",
"prometheus-uri": {
"host": "string",
"port": 0
},
"state": "running",
"termination-protection": true,
"type": "string",
"updated-at": "2024-01-01T12:00:00Z",
"uri": "string",
"uri-params": {},
"users": [
{
"authentication": "string",
"password": "string",
"type": "string",
"username": "string"
}
],
"version": "string",
"zone": "string"
}SDK reference for get-dbaas-service-mysql: golang | Python | Java
CLI: exo api get-dbaas-service-mysql
update-dbaas-service-mysql
Update a DBaaS MySQL service
PUT /dbaas-mysql/{name}Update a DBaaS MySQL service
Path parameters
| Name | In | Description |
|---|---|---|
name | path | Min length: 0. Max length: 63. |
Request body
Content-Type: application/json
| Property | Type | Required | Description |
|---|---|---|---|
backup-schedule | Backup Schedule | no | |
binlog-retention-period | integer | no | The minimum amount of time in seconds to keep binlog entries before deletion. This may be extended for services that require binlog entries for longer than the default for example if using the MySQL Debezium Kafka connector. Min: 600. Max: 86400. |
ip-filter | array[string] | no | Allow incoming connections from CIDR address block, e.g. ‘10.20.0.0/16’ |
maintenance | Maintenance | no | Automatic maintenance settings |
migration | Migration | no | Migrate data from existing server |
mysql-settings | mysql.conf configuration values | no | MySQL-specific settings |
plan | string | no | Subscription plan Min length: 1. Max length: 128. |
termination-protection | boolean | no | Service is protected against termination and powering off |
Example
{
"backup-schedule": {
"backup-hour": 0,
"backup-minute": 0
},
"binlog-retention-period": 0,
"ip-filter": [
"string"
],
"maintenance": {
"dow": "saturday",
"time": "string"
},
"migration": {
"dbname": "string",
"host": "string",
"ignore-dbs": "string",
"method": "dump",
"password": "string",
"port": 0,
"ssl": true,
"username": "string"
},
"mysql-settings": {
"connect_timeout": 0,
"default_time_zone": "+03:00",
"group_concat_max_len": 0,
"information_schema_stats_expiry": 0,
"innodb_change_buffer_max_size": 0,
"innodb_flush_neighbors": 0,
"innodb_ft_min_token_size": 0,
"innodb_ft_server_stopword_table": "db_name/table_name",
"innodb_lock_wait_timeout": 0,
"innodb_log_buffer_size": 0,
"innodb_online_alter_log_max_size": 0,
"innodb_print_all_deadlocks": true,
"innodb_read_io_threads": 0,
"innodb_rollback_on_timeout": true,
"innodb_thread_concurrency": 0,
"innodb_write_io_threads": 0,
"interactive_timeout": 0,
"internal_tmp_mem_storage_engine": "TempTable",
"log_output": "INSIGHTS",
"long_query_time": 0,
"max_allowed_packet": 0,
"max_heap_table_size": 0,
"net_buffer_length": 0,
"net_read_timeout": 0,
"net_write_timeout": 0,
"slow_query_log": true,
"sort_buffer_size": 0,
"sql_mode": "ANSI,TRADITIONAL",
"sql_require_primary_key": true,
"tmp_table_size": 0,
"wait_timeout": 0
},
"plan": "string",
"termination-protection": true
}Maintenance
Automatic maintenance settings
| Property | Type | Required | Description |
|---|---|---|---|
dow | string | yes | Day of week for installing updates Allowed values: saturday, tuesday, never, wednesday, sunday, friday, monday, thursday. |
time | string | yes | Time for installing updates, UTC Min length: 8. Max length: 8. |
Migration
Migrate data from existing server
| Property | Type | Required | Description |
|---|---|---|---|
host | string | yes | Hostname or IP address of the server where to migrate data from Min length: 1. Max length: 255. |
port | integer | yes | Port number of the server where to migrate data from Min: 1. Max: 65535. |
dbname | string | no | Database name for bootstrapping the initial connection Min length: 1. Max length: 63. |
ignore-dbs | string | no | Comma-separated list of databases, which should be ignored during migration (supported by MySQL only at the moment) Min length: 1. Max length: 2048. |
method | string | no | The migration method to be used Allowed values: dump, replication. |
password | string | no | Password for authentication with the server where to migrate data from Min length: 1. Max length: 255. |
ssl | boolean | no | The server where to migrate data from is secured with SSL |
username | string | no | User name for authentication with the server where to migrate data from Min length: 1. Max length: 255. |
Backup Schedule
| Property | Type | Required | Description |
|---|---|---|---|
backup-hour | integer | no | The hour of day (in UTC) when backup for the service is started. New backup is only started if previous backup has already completed. Min: 0. Max: 23. |
backup-minute | integer | no | The minute of an hour when backup for the service is started. New backup is only started if previous backup has already completed. Min: 0. Max: 59. |
Responses
Status: 200 - 200
Content-Type: application/json
| Property | Type | Description |
|---|---|---|
id | string | Operation ID Must be a valid UUID. |
message | string | Operation message |
reason | string | Operation failure reason Allowed values: incorrect, unknown, unavailable, forbidden, busy, fault, partial, not-found, interrupted, unsupported, conflict. |
reference | Reference | Related resource reference |
state | string | Operation status Allowed values: failure, pending, success, timeout. |
Example output
{
"id": "string",
"message": "string",
"reason": "incorrect",
"reference": {
"command": "string",
"id": "string",
"link": "string"
},
"state": "failure"
}SDK reference for update-dbaas-service-mysql: golang | Python | Java
CLI: exo api update-dbaas-service-mysql
delete-dbaas-service-mysql
Delete a MySQL service
DELETE /dbaas-mysql/{name}null
Path parameters
| Name | In | Description |
|---|---|---|
name | path |
Responses
Status: 200 - 200
Content-Type: application/json
| Property | Type | Description |
|---|---|---|
id | string | Operation ID Must be a valid UUID. |
message | string | Operation message |
reason | string | Operation failure reason Allowed values: incorrect, unknown, unavailable, forbidden, busy, fault, partial, not-found, interrupted, unsupported, conflict. |
reference | Reference | Related resource reference |
state | string | Operation status Allowed values: failure, pending, success, timeout. |
Example output
{
"id": "string",
"message": "string",
"reason": "incorrect",
"reference": {
"command": "string",
"id": "string",
"link": "string"
},
"state": "failure"
}SDK reference for delete-dbaas-service-mysql: golang | Python | Java
CLI: exo api delete-dbaas-service-mysql
Other Operations
start-dbaas-mysql-maintenance
Initiate MySQL maintenance update
PUT /dbaas-mysql/{name}/maintenance/startnull
Path parameters
| Name | In | Description |
|---|---|---|
name | path | Min length: 0. Max length: 63. |
Responses
Status: 200 - 200
Content-Type: application/json
| Property | Type | Description |
|---|---|---|
id | string | Operation ID Must be a valid UUID. |
message | string | Operation message |
reason | string | Operation failure reason Allowed values: incorrect, unknown, unavailable, forbidden, busy, fault, partial, not-found, interrupted, unsupported, conflict. |
reference | Reference | Related resource reference |
state | string | Operation status Allowed values: failure, pending, success, timeout. |
Example output
{
"id": "string",
"message": "string",
"reason": "incorrect",
"reference": {
"command": "string",
"id": "string",
"link": "string"
},
"state": "failure"
}SDK reference for start-dbaas-mysql-maintenance: golang | Python | Java
CLI: exo api start-dbaas-mysql-maintenance
stop-dbaas-mysql-migration
Stop a DBaaS MySQL migration
POST /dbaas-mysql/{name}/migration/stopnull
Path parameters
| Name | In | Description |
|---|---|---|
name | path | Min length: 0. Max length: 63. |
Responses
Status: 200 - 200
Content-Type: application/json
| Property | Type | Description |
|---|---|---|
id | string | Operation ID Must be a valid UUID. |
message | string | Operation message |
reason | string | Operation failure reason Allowed values: incorrect, unknown, unavailable, forbidden, busy, fault, partial, not-found, interrupted, unsupported, conflict. |
reference | Reference | Related resource reference |
state | string | Operation status Allowed values: failure, pending, success, timeout. |
Example output
{
"id": "string",
"message": "string",
"reason": "incorrect",
"reference": {
"command": "string",
"id": "string",
"link": "string"
},
"state": "failure"
}SDK reference for stop-dbaas-mysql-migration: golang | Python | Java
CLI: exo api stop-dbaas-mysql-migration
enable-dbaas-mysql-writes
Temporarily enable writes for MySQL services in read-only mode due to filled up storage
PUT /dbaas-mysql/{name}/enable/writesnull
Path parameters
| Name | In | Description |
|---|---|---|
name | path | Min length: 0. Max length: 63. |
Responses
Status: 200 - 200
Content-Type: application/json
| Property | Type | Description |
|---|---|---|
id | string | Operation ID Must be a valid UUID. |
message | string | Operation message |
reason | string | Operation failure reason Allowed values: incorrect, unknown, unavailable, forbidden, busy, fault, partial, not-found, interrupted, unsupported, conflict. |
reference | Reference | Related resource reference |
state | string | Operation status Allowed values: failure, pending, success, timeout. |
Example output
{
"id": "string",
"message": "string",
"reason": "incorrect",
"reference": {
"command": "string",
"id": "string",
"link": "string"
},
"state": "failure"
}SDK reference for enable-dbaas-mysql-writes: golang | Python | Java
CLI: exo api enable-dbaas-mysql-writes
get-dbaas-settings-mysql
Get DBaaS MySQL settings
GET /dbaas-settings-mysqlGet DBaaS MySQL settings
Responses
Status: 200 - 200
Content-Type: application/json
| Property | Type | Description |
|---|---|---|
settings | Settings |
Example output
{
"settings": {
"mysql": {
"additionalProperties": true,
"properties": {},
"title": "string",
"type": "string"
}
}
}Settings
| Property | Type | Required | Description |
|---|---|---|---|
mysql | Mysql | no | mysql.conf configuration values |
Mysql
mysql.conf configuration values
| Property | Type | Required | Description |
|---|---|---|---|
additionalProperties | boolean | no | |
properties | object | no | |
title | string | no | |
type | string | no |
SDK reference for get-dbaas-settings-mysql: golang | Python | Java
CLI: exo api get-dbaas-settings-mysql